public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/rootpy/
Date: Mon, 12 Oct 2015 04:44:00 +0000 (UTC)	[thread overview]
Message-ID: <1444625020.d1460f97f0068dfbaeaad3584b7de22b12509840.heroxbd@gentoo> (raw)

commit:     d1460f97f0068dfbaeaad3584b7de22b12509840
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 04:43:40 2015 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 04:43:40 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1460f97

dev-python/rootpy: version bump to 0.8.0.

Package-Manager: portage-2.2.22

 dev-python/rootpy/Manifest            |  1 +
 dev-python/rootpy/rootpy-0.8.0.ebuild | 47 +++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/rootpy/Manifest b/dev-python/rootpy/Manifest
index de21adb..099aa46 100644
--- a/dev-python/rootpy/Manifest
+++ b/dev-python/rootpy/Manifest
@@ -1 +1,2 @@
 DIST rootpy-0.7.1.tar.gz 305412 SHA256 d36399125ed8540b9a651e7b5c7ddeba686ef3107830d3d6d840cdae4834751c SHA512 460e5d79da08c141c762a5a92cf50694fe1fee8677a2439b5525b67e7d6a1a6af18a4e6dc91d379b394a97dc973da8f6baa534d46e506e0a7a4d0ee632de1a2a WHIRLPOOL d9663274a36c490bb4c872be83527d3dd414d9cca989cf20a2aca1ac5441532c9b29571d0ff885458fd2e820dc7905a679e1c9873305848ccd1fafa7820a84be
+DIST rootpy-0.8.0.tar.gz 415826 SHA256 ec0fc969101b6208e722bb9ae11dfe4a02ea53f8f91f591a5c2ea46f26581948 SHA512 0b9dc9c5bee263a2eb33b464bd96f4f9d0820a03722ca2fe3ccfaf11786caf7ccd6d25ffe4ffd42c4a5481bd3b33576cfbf68c01f2af7a981f6a2c1bedc514e2 WHIRLPOOL 7036db8d78c543259801557ebfd940cec7a3083c21757374cf5464a420643cd95cbadc898fe644181cbaa072587a0e49bd56f74f76a8670636604a32da14ddb4

diff --git a/dev-python/rootpy/rootpy-0.8.0.ebuild b/dev-python/rootpy/rootpy-0.8.0.ebuild
new file mode 100644
index 0000000..e221456
--- /dev/null
+++ b/dev-python/rootpy/rootpy-0.8.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="readline"
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic layer on top of the ROOT framework's PyROOT bindings"
+HOMEPAGE="http://rootpy.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+RDEPEND="
+	sci-physics/root[${PYTHON_USEDEP}]
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/pytables[${PYTHON_USEDEP}]
+	dev-python/root_numpy[${PYTHON_USEDEP}]
+	dev-python/termcolor[${PYTHON_USEDEP}]"
+
+DEPEND="
+	sci-physics/root[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+# TOFIX: tests go in an infinite loop error
+RESTRICT=test
+
+python_test() {
+	cd "${BUILD_DIR}" || die
+	nosetests -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	if use examples; then
+		insinto /usr/share/doc/${PF}
+		doins -r examples
+	fi
+}


             reply	other threads:[~2015-10-12  4:44 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-12  4:44 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-12-10  2:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/rootpy/ Sebastien Fabbro
2018-03-16  5:26 Benda XU
2019-12-27 18:52 David Seifert
2020-02-09 19:40 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444625020.d1460f97f0068dfbaeaad3584b7de22b12509840.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox